Page MenuHomeFreeBSD

Update KDE Frameworks to 5.30
ClosedPublic

Authored by tcberner on Jan 21 2017, 8:21 AM.

Details

Reviewers
rakuco
mat
Group Reviewers
O5: Ports Framework(Owns No Changed Paths)
portmgr
kde
Commits
rP432529: Update KDE Frameworks to 5.30.0
Summary

Import update to 5.30 from the development repo.

Test Plan

exp-run (as there now are consumers)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 7014
Build 7194: arc lint + arc unit

Event Timeline

tcberner updated this revision to Diff 24265.Jan 21 2017, 8:21 AM
tcberner retitled this revision from to Update KDE Frameworks to 5.30.
tcberner updated this object.
tcberner edited the test plan for this revision. (Show Details)
tcberner added reviewers: kde, rakuco, mat, adridg.
tcberner updated this revision to Diff 24267.Jan 21 2017, 8:28 AM
tcberner edited edge metadata.

Remove no longer needed patch.

Owners edited edge metadata.Jan 21 2017, 8:28 AM
tcberner updated this revision to Diff 24270.Jan 21 2017, 11:34 AM
tcberner edited edge metadata.

Update kirigami's distinfo... maybe linking it to frameworks as long as it's
not one is not the smartest idea ^^.

Owners edited edge metadata.Jan 21 2017, 11:34 AM
rakuco added inline comments.Jan 21 2017, 11:34 AM
x11/kf5-frameworks/Makefile
12 ↗(On Diff #24267)

Not sure it makes sense to set a license for a meta-port (and I guess the frameworks themselves have a few different license between LGPL20/21 and BSD).

tcberner updated this revision to Diff 24271.Jan 21 2017, 11:37 AM
tcberner edited edge metadata.

Drop license from metaport.

Owners edited edge metadata.Jan 21 2017, 11:37 AM
rakuco accepted this revision.Jan 21 2017, 12:11 PM
rakuco edited edge metadata.

lgtm!

tcberner updated this revision to Diff 24445.Jan 25 2017, 8:54 PM
tcberner edited edge metadata.

To celebrate r432406, add x11/kf5-kwayland too.

  • adds x11/kf5-kwayland
  • modifies x11/Makefile
  • wires it into kde.mk
Owners edited edge metadata.Jan 25 2017, 8:54 PM
rakuco accepted this revision.Jan 26 2017, 1:38 PM
rakuco edited edge metadata.

lgtm*2

adridg accepted this revision.Jan 29 2017, 3:34 PM
adridg edited edge metadata.

Was committed rP432529: Update KDE Frameworks to 5.30.0, but apparently not auto-closed.

adridg resigned from this revision.Jan 29 2017, 3:35 PM
adridg removed a reviewer: adridg.

Should have been auto-closed with the PR

This revision was automatically updated to reflect the committed changes.